/**
 *   \file common.h
 *   \brief Déclaration pour la (dé)compression d’images
 */

#ifndef COMMON_H
#define COMMON_H

#include "ppm.h"

/// Teste l’éligibilité d’un pixel à une zone
bool sameColor(Pixel_t, Zone_t);
/// Ajoute un pixel et ses pixels connexes à une zone
void addPixelToSelectedZone(Image_t t_img, int t_idx, Zone_t t_zone);
void chooseZoneForPixel(Image_t t_img, int t_idx, darray_t zones);
darray_t imgToZones(Image_t t_img);
void compress(const char*);

#endif /* COMMON_H */
